Mirror = Tile:extend {
   onNew = function(self)
              self.image = self.image or self.of.image
           end,
   onUpdate = function(self, dt)
                 if DEBUG and the.console.visible then
                    if not self.text then
                       self.text = Text:new()
                       the.view:add(self.text)
                    end

                    if self.of.text then
                       self.text.text = 'mirror ' .. self.of.text.text
                       self.text.x, self.text.y = self.x, self.y
                       self.text.visible = true
                    end
                 else
                    if self.text then
                       self.text.visible = false
                    end
                 end

              end
}